var kaduuSpec = {"openapi":"3.0.1","info":{"title":"Kaduu SaaS","description":"Client's SaaS API for exporting search results.","termsOfService":"https://kaduu.io/about-us/","contact":{"name":"Kaduu AG","url":"https://kaduu.ch/","email":"anton@kaduu.ch"},"license":{"name":"Apache License Version 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0"},"version":"2.2.0"},"servers":[{"url":"https://app.leak.center/svc-saas/"}],"tags":[{"name":"Account","description":"User account management. Allows you to control accounts within your company."},{"name":"Domain","description":"Kaduu's domain database contains all past and recently registered domain names with some extended information (registration date, whois info, screenshots, etc)."},{"name":"Favorite","description":"Favorites database contains client's favorite results from data services"},{"name":"Social","description":"Kaduu social network crawler searches major social networks for suspicious content."},{"name":"Asset Group","description":"Asset group management methods. Asset groups are used to group assets together."},{"name":"Post","description":"Kaduu's post tracking service indexes hacker forums and communities and allows to search them easily."},{"name":"Card","description":"Kaduu's credit card database contains cards extracted from publicly available data leaks."},{"name":"Leak File","description":"Manage leak file download tasks and download file content."},{"name":"Report","description":"Report API."},{"name":"Generic Search","description":"Kaduu generic searches."},{"name":"Mail","description":"Kaduu's mail database contains all mail addresses exposed online on public websites. Our crawler walks all webpages it can reach and adds all found mail addresses to this database."},{"name":"Certificate","description":"Kaduu's certificate database contains certificate updates from certificate transparency log stream."},{"name":"Botnet","description":"Kaduu's botnet database contains information stealer logs collected from various sources."},{"name":"Role","description":"User role management"},{"name":"Alert","description":"Alert event list view."},{"name":"Analysis Benchmark","description":"Analysis: company benchmark results overview."},{"name":"External","description":"Kaduu external crawler searches online darknet resources for sensitive content."},{"name":"Paste","description":"Kaduu's paste database contains data exposed online on pastebin-like websites."},{"name":"Alert job","description":"Alert job management. Helps to configure alerts for your account."},{"name":"Mail External","description":"Kaduu's external mail search engine."},{"name":"Leaked Account","description":"Kaduu's leaked accounts database contains accounts extracted from discovered leaks."},{"name":"Asset","description":"Asset management methods."},{"name":"Export","description":"Data export API."},{"name":"Settings","description":"Settings management."},{"name":"Threat Actor","description":"Threat actor information."},{"name":"Leak","description":"Kaduu's leaks database contains text files, paste and data dumps that are distributed for free or sold on online hacker forums & marketplaces. Leaks usually expose some sensitive data - password hashes, private information and sometimes even plain text passwords."},{"name":"Statistics","description":"System statistics"},{"name":"Report Template","description":"Report template API."}],"paths":{"/settings":{"get":{"tags":["Settings"],"summary":"Get current account settings","operationId":"get","responses":{"200":{"description":"Account settings","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account Result"}}}}},"security":[{"Bearer":[]}]},"put":{"tags":["Settings"],"summary":"Update account settings","operationId":"update","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account Update Settings Payload"}}},"required":true},"responses":{"200":{"description":"Updated account","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account Result"}}}}},"security":[{"Bearer":[]}]}},"/settings/company":{"get":{"tags":["Settings"],"summary":"Get current company settings","description":"Get current company settings","operationId":"getCompany","responses":{"200":{"description":"Company settings","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Company Result"}}}}},"security":[{"Bearer":[]}]},"put":{"tags":["Settings"],"summary":"Update company settings","description":"Update company settings","operationId":"updateCompany","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Company Update Settings Payload"}}},"required":true},"responses":{"200":{"description":"Updated company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Company Result"}}}}},"security":[{"Bearer":[]}]}},"/settings/alert/job":{"get":{"tags":["Alert job"],"summary":"Get a list of alert jobs","description":"Get list of alert jobs.","operationId":"getList_1","parameters":[{"name":"status","in":"query","required":false,"schema":{"type":"string"}},{"name":"assetId","in":"query","required":false,"schema":{"type":"string"}},{"name":"assetGroupId","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of alert jobs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAlert Job Result"}}}}},"security":[{"Bearer":[]}]},"put":{"tags":["Alert job"],"summary":"Update alert job","description":"Update alert job. You may only change the keyword and the alert type.","operationId":"update_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert Job Update Payload"}}},"required":true},"responses":{"200":{"description":"Updated alert job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert Job Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Alert job"],"summary":"Create alert job","description":"Create alert job for account. If alert job is active, the account will receive alerts. The keyword-type-accountId combination should be unique system-wide.","operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert Job Create Payload"}}},"required":true},"responses":{"201":{"description":"Created alert job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert Job Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/settings/account":{"get":{"tags":["Account"],"summary":"Get a list of accounts","description":"List accounts of the company.","operationId":"getList_2","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of accounts in the company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAccount Result"}}}}},"security":[{"Bearer":[]}]},"put":{"tags":["Account"],"summary":"Update account","description":"Update an existing account. Password remains unchanged, if not specified.","operationId":"update_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account Update Payload"}}},"required":true},"responses":{"200":{"description":"Updated account","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Account"],"summary":"Create account","description":"Create a new account. The login should be unique system-wide.","operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account Create Payload"}}},"required":true},"responses":{"201":{"description":"Created account","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/asset":{"get":{"tags":["Asset"],"summary":"Get a list of assets","operationId":"getList_9","parameters":[{"name":"assetGroupId","in":"query","description":"Asset group id filter","required":false,"schema":{"type":"string"},"example":"f85a6dbe-2c88-4787-b95b-44d618e22ac5"},{"name":"name","in":"query","description":"Name filter","required":false,"schema":{"type":"string"},"example":"hello"},{"name":"type","in":"query","description":"Asset type filter","required":false,"schema":{"type":"string"},"example":"PEOPLE"},{"name":"page","in":"query","description":"Results page you want to retrieve.","required":true,"schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of assets","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAsset Result"}}}}},"security":[{"Bearer":[]}]},"put":{"tags":["Asset"],"summary":"Update asset.","operationId":"update_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Update Payload"}}},"required":true},"responses":{"200":{"description":"Updated asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Asset"],"summary":"Create asset","operationId":"create_7","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Create Payload"}}},"required":true},"responses":{"201":{"description":"Created asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/asset/group":{"get":{"tags":["Asset Group"],"summary":"Get a list of asset groups","operationId":"getList_10","parameters":[{"name":"name","in":"query","description":"Name filter","required":false,"schema":{"type":"string"},"example":"hello"},{"name":"page","in":"query","description":"Results page you want to retrieve.","required":true,"schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of asset groups","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAsset Group Result"}}}}},"security":[{"Bearer":[]}]},"put":{"tags":["Asset Group"],"summary":"Update asset group","operationId":"update_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Group Update Payload"}}},"required":true},"responses":{"200":{"description":"Updated asset group","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Group Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Asset Group"],"summary":"Create asset group","operationId":"create_8","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Group Create Payload"}}},"required":true},"responses":{"201":{"description":"Created asset group","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Group Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/alert/sent":{"put":{"tags":["Alert"],"summary":"Mark alerts as sent/unsent","description":"Update sent state for alert events.","operationId":"markSent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert Sent Payload"}}},"required":true},"responses":{"204":{"description":"Empty response"},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/social/search":{"post":{"tags":["Social"],"summary":"Search social network","description":"Search social networks. Creates a search object and launches the search in background.","operationId":"search","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Social Network Search Payload"}}},"required":true},"responses":{"200":{"description":"Search object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Social Network Search Result"}}}}},"security":[{"Bearer":[]}]}},"/settings/report/template":{"get":{"tags":["Report Template"],"summary":"Get a list of report templates","description":"Get all available report templates that belong to current user`s company.","operationId":"getList","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of report templates","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageReport Template Result"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Report Template"],"summary":"Create report template","operationId":"create","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"string","format":"binary"}}},"required":true},"responses":{"200":{"description":"Report template","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Report Template Result"}}}}},"security":[{"Bearer":[]}]}},"/settings/mfa/validate":{"post":{"tags":["Settings"],"summary":"Validate MFA code","description":"Validate MFA code","operationId":"validate","parameters":[{"name":"code","in":"query","description":"MFA code","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty response"}},"security":[{"Bearer":[]}]}},"/settings/mfa/otp":{"post":{"tags":["Settings"],"summary":"Send OTP validation code","operationId":"sendOtp","responses":{"204":{"description":"Empty response"}},"security":[{"Bearer":[]}]}},"/settings/alert/job/bulk":{"post":{"tags":["Alert job"],"summary":"Create alert jobs for a query","description":"Create alert jobs for a query.","operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert Job Bulk Create Payload"}}},"required":true},"responses":{"204":{"description":"Empty response"},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/report":{"get":{"tags":["Report"],"summary":"Get a list of reports","description":"Get all available reports that belong to current user`s company.","operationId":"getList_4","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of report objects","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageReport Result"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Report"],"summary":"Start report generation","description":"Start report generation. Creates an report object and starts generation process in background.","operationId":"create_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Report Create Payload"}}},"required":true},"responses":{"200":{"description":"Report object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Report Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/mail/external/search":{"post":{"tags":["Mail External"],"summary":"Search mails in external sources","description":"Search emails in external sources. Creates a search object and launches the search in background.","operationId":"search_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mail External Search Payload"}}},"required":true},"responses":{"200":{"description":"Search object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mail External Search Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/leak/file/download":{"get":{"tags":["Leak File"],"summary":"Get a list of leak file download tasks","description":"Get a list of download tasks that belong to current user.","operationId":"getList_6","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of leak file download objects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageLeak File Download Task Result"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Leak File"],"summary":"Create leak file download task","description":"Create leak file download task to get single file from the leak zip-archive, up to 10MB.","operationId":"create_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Leak File Download Task Payload"}}},"required":true},"responses":{"200":{"description":"Leak file download task","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Leak File Download Task Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/generic/search":{"post":{"tags":["Generic Search"],"summary":"Search several services at once","description":"Search several services at once. Creates a search object for selected sources and launches parallel searches in background.","operationId":"search_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Generic Search Payload"}}},"required":true},"responses":{"200":{"description":"Search result object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Generic Search Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/generic/search/{id}/export":{"post":{"tags":["Generic Search"],"summary":"Export all results","description":"Export all generic search results, if search is finished.","operationId":"export","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Generic Search Export Payload"}}},"required":true},"responses":{"200":{"description":"Export object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Export Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/favorite":{"get":{"tags":["Favorite"],"summary":"Get a list of favorites","description":"Get all available favorites that belong to current user.","operationId":"getList_7","parameters":[{"name":"type","in":"query","description":"Favorite type.","required":true,"schema":{"type":"string","enum":["ACCOUNT, BOTNET, CREDIT_CARD, DOMAIN, EXTERNAL, LEAK, LEAK_DISTINCT, MAIL, MAIL_EXTERNAL, PASTE, POST, SOCIAL, THREAT_ACTOR, RANSOMWARE, POST, PASTE, CERTIFICATE"]}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of favorite objects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageFavorite Result"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Favorite"],"summary":"Create favorite","description":"Create new favorite object","operationId":"create_6","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Favorite Create Payload"}}},"required":true},"responses":{"200":{"description":"Favorite object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Favorite Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/external/search":{"post":{"tags":["External"],"summary":"Search external resources","description":"Search external search engines. Creates a search request object and launches the search in background.","operationId":"search_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/External Search Request Payload"}}},"required":true},"responses":{"200":{"description":"Search request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/External Search Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/export":{"get":{"tags":["Export"],"summary":"Get a list of exports","description":"Get all available previous exports that belong to current user.","operationId":"getList_8","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of export objects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageExport Result"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Export"],"summary":"Start export","description":"Start exporting data. Creates an export object and starts the export process in background.","operationId":"export_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Export Payload"}}},"required":true},"responses":{"200":{"description":"Export object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Export Result"}}}},"400":{"description":"Error validating input","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/domain/{id}/data":{"get":{"tags":["Domain"],"summary":"Get domain data records","description":"Get a list of data records for the existing indexed domain.","operationId":"getData","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"provider","in":"query","required":true,"schema":{"type":"string","enum":["DNS","DNS_TWIST","HTTP","PORT","SMTP","WHOIS","GEO","SCREENSHOT"]}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Domain data records","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageDomain Data Result"}}}}},"security":[{"Bearer":[]}]},"post":{"tags":["Domain"],"summary":"Create domain data request","description":"Collect new data for the existing indexed domain. Creates a data request object and launches a background data collection process.","operationId":"createDataRequest","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Existing Domain Data Request Payload"}}},"required":true},"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Data request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Domain Data Request Result"}}}}},"security":[{"Bearer":[]}]}},"/domain/data":{"post":{"tags":["Domain"],"summary":"Create batch domains data request","description":"Collect new data for the existing indexed domains. Creates a data request objects and launches a background data collection processes.","operationId":"createBatchDataRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Existing Domain Data Batch Request Payload"}}},"required":true},"responses":{"200":{"description":"List of data request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Domain Data Request Result"}}}}}},"security":[{"Bearer":[]}]}},"/domain/data/search":{"post":{"tags":["Domain"],"summary":"Create domain data request, for any arbitrary domain name","description":"Collect new data for arbitrary domain name, that may not exist in the index. Creates a data request object and launches a background data collection process.","operationId":"createDataRequest_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Domain Data Request Payload"}}},"required":true},"responses":{"200":{"description":"Data request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Domain Data Request Result"}}}}},"security":[{"Bearer":[]}]}},"/stats":{"get":{"tags":["Statistics"],"summary":"Get general stats","description":"Get general system stats.","operationId":"getGeneral","responses":{"200":{"description":"Statistics","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Statistics Result"}}}}},"security":[{"Bearer":[]}]}},"/stats/risk/total":{"get":{"tags":["Statistics"],"summary":"Get alert total risks","operationId":"getAlertTotalRisks","responses":{"200":{"description":"List of alert total risks","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Alert Total Risk Result"}}}}}},"security":[{"Bearer":[]}]}},"/stats/risk/history":{"get":{"tags":["Statistics"],"summary":"Get alert historical risks","description":"Get alert historical risks for last 12 month or last 12 weeks.","operationId":"getAlertHistoricalRisks","parameters":[{"name":"interval","in":"query","description":"Interval to get historical risks for","required":true,"schema":{"type":"string","enum":["WEEK12","MONTH12"]}}],"responses":{"200":{"description":"List of alert historical risks","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Alert Historical Risk Result"}}}}}},"security":[{"Bearer":[]}]}},"/stats/leaks":{"get":{"tags":["Statistics"],"summary":"Get leaks statistic with daily breakdown","description":"Get leaks statistic with daily breakdown for last month.","operationId":"getDailyLeakStats","parameters":[{"name":"dateFrom","in":"query","description":"Date from to get leaked accounts statistic for","required":false,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"query","description":"Date to, to get leaked accounts statistic for","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"List of leak daily statistic","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Leaks Daily Statistic"}}}}}},"security":[{"Bearer":[]}]}},"/stats/leaks/trend":{"get":{"tags":["Statistics"],"summary":"Get leak trends statistics.","operationId":"getLeakTrends","parameters":[{"name":"timeFrame","in":"query","description":"Time frame to get leak trends statistics for","required":true,"schema":{"type":"string","enum":["PAST_10_YEARS","PAST_1_YEAR","PAST_1_MONTH"]}}],"responses":{"200":{"description":"List of leak trends statistics","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LeakTrendResult"}}}}}},"security":[{"Bearer":[]}]}},"/stats/accounts":{"get":{"tags":["Statistics"],"summary":"Get leaked accounts statistic with daily breakdown","description":"Get leaked accounts statistic with daily breakdown for last month.","operationId":"getDailyAccountStats","parameters":[{"name":"dateFrom","in":"query","description":"Date from to get leaked accounts statistic for","required":false,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"query","description":"Date to, to get leaked accounts statistic for","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"List of leaked account daily statistic","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Leaked Accounts Daily Statistic"}}}}}},"security":[{"Bearer":[]}]}},"/stats/accounts/trend":{"get":{"tags":["Statistics"],"summary":"Get account trends statistics.","operationId":"getAccountTrends","parameters":[{"name":"timeFrame","in":"query","description":"Time frame to get account trends statistics for","required":true,"schema":{"type":"string","enum":["PAST_10_YEARS","PAST_1_YEAR","PAST_1_MONTH"]}}],"responses":{"200":{"description":"List of account trends statistics","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountTrendResult"}}}}}},"security":[{"Bearer":[]}]}},"/social/search/{id}":{"get":{"tags":["Social"],"summary":"Get existing search object","operationId":"getSearch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Existing search object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Social Network Search Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/social/search/{id}/results":{"get":{"tags":["Social"],"summary":"Get results from the existing search object","description":"Get search results. Results are added dynamically, as the search process goes, so there is no need to wait for the search to finish to get first data.","operationId":"getResults","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageSocial Network Post"}}}}},"security":[{"Bearer":[]}]}},"/settings/report/template/{id}":{"get":{"tags":["Report Template"],"summary":"Get existing report template","operationId":"get_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing report template","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Report Template Result"}}}}},"security":[{"Bearer":[]}]},"delete":{"tags":["Report Template"],"summary":"Delete report template","operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty response"}},"security":[{"Bearer":[]}]}},"/settings/mfa/qr":{"get":{"tags":["Settings"],"summary":"Get MFA configuration QR code URL","operationId":"getMfaQrUrl","responses":{"200":{"description":"MFA configuration QR URL","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QR URL Result"}}}}},"security":[{"Bearer":[]}]}},"/settings/alert/job/{id}":{"get":{"tags":["Alert job"],"summary":"Get alert job","description":"Get existing alert job details.","operationId":"get_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Existing alert job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert Job Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]},"delete":{"tags":["Alert job"],"summary":"Delete alert job","description":"Permanently delete alert job. This action is irreversible. After the deletion, no more alerts will be triggered for this alert job.","operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty response"}},"security":[{"Bearer":[]}]}},"/settings/account/{id}":{"get":{"tags":["Account"],"summary":"Get account","description":"Get existing account details.","operationId":"get_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing account","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account Result"}}}}},"security":[{"Bearer":[]}]},"delete":{"tags":["Account"],"summary":"Delete account","description":"Permanently delete an account. This action is irreversible.","operationId":"delete_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty response"}},"security":[{"Bearer":[]}]}},"/role":{"get":{"tags":["Role"],"summary":"Get a list of supported roles","operationId":"getList_3","responses":{"200":{"description":"List of supported roles","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageRole Result"}}}}},"security":[{"Bearer":[]}]}},"/report/{id}":{"get":{"tags":["Report"],"summary":"Get existing report object","operationId":"get_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing report object","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Report Result"}}}}},"security":[{"Bearer":[]}]}},"/report/{id}/download":{"get":{"tags":["Report"],"summary":"Download report file content","description":"Download generated report file content.","operationId":"download","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Report file","content":{"application/octet-stream":{}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/ransomware/{id}":{"get":{"tags":["Ransomware"],"summary":"Get Ransomware","description":"Ransomware information.","operationId":"get_5","parameters":[{"name":"id","in":"path","description":"Ransomware ID","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing ransomware","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Ransomware Search Result"}}}}},"security":[{"Bearer":[]}]}},"/ransomware/{id}/leaks":{"get":{"tags":["Ransomware"],"summary":"Get a list of ransomware leaks","description":"List of available ransomware leaks.","operationId":"searchRansomwareLeaksByPublicId","parameters":[{"name":"id","in":"path","description":"Ransomware ID","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of leaks","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageRansomware Leak Result"}}}}},"security":[{"Bearer":[]}]}},"/ransomware/search":{"get":{"tags":["Ransomware"],"summary":"Search ransomware","operationId":"search_4","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 100 characters.","required":true,"schema":{"maxLength":100,"minLength":3,"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageRansomware Search Result"}}}}},"security":[{"Bearer":[]}]}},"/ransomware/latest":{"get":{"tags":["Ransomware"],"summary":"Get latest ransomware","operationId":"getLatest","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Ransomware list","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageRansomware Search Result"}}}}},"security":[{"Bearer":[]}]}},"/post/{id}":{"get":{"tags":["Post"],"summary":"Get post","description":"Get existing post object from index.","operationId":"get_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing post","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Post Result"}}}}},"security":[{"Bearer":[]}]}},"/post/source":{"get":{"tags":["Post"],"summary":"Get a list of sources","description":"List all sources available.","operationId":"getSourceList","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of sources","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageSource Result"}}}}},"security":[{"Bearer":[]}]}},"/post/search":{"get":{"tags":["Post"],"summary":"Search posts","description":"Search indexed post information.","operationId":"search_5","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"length","in":"query","description":"Fragment length, 0 to 1000 characters.","required":false,"schema":{"maximum":1000,"minimum":0,"type":"integer","default":1000}},{"name":"highlight","in":"query","description":"Result highlighting flag.","required":false,"schema":{"type":"boolean","default":false}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagePost Result"}}}}},"security":[{"Bearer":[]}]}},"/paste/{id}":{"get":{"tags":["Paste"],"summary":"Get paste","description":"Get existing paste object from index.","operationId":"get_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing paste","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Paste Result"}}}}},"security":[{"Bearer":[]}]}},"/paste/search":{"get":{"tags":["Paste"],"summary":"Search pastes","description":"Search indexed pastes.","operationId":"search_6","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 1000 characters.","required":true,"schema":{"type":"string"}},{"name":"length","in":"query","description":"Fragment length, 0 to 1000 characters.","required":false,"schema":{"maximum":1000,"minimum":0,"type":"integer","default":1000}},{"name":"highlight","in":"query","description":"Result highlighting flag.","required":false,"schema":{"type":"boolean","default":false}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagePaste Result"}}}}},"security":[{"Bearer":[]}]}},"/mail/{id}":{"get":{"tags":["Mail"],"summary":"Get email","description":"Get existing email object from index.","operationId":"get_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing email","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mail Result"}}}}},"security":[{"Bearer":[]}]}},"/mail/search":{"get":{"tags":["Mail"],"summary":"Search mails","description":"Search indexed mail addresses.","operationId":"search_7","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageMail Result"}}}}},"security":[{"Bearer":[]}]}},"/mail/external/search/{id}":{"get":{"tags":["Mail External"],"summary":"Get existing search object","description":"Get previously created search object to track its status.","operationId":"getSearch_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing search object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Mail External Search Result"}}}}},"security":[{"Bearer":[]}]}},"/mail/external/search/{id}/results":{"get":{"tags":["Mail External"],"summary":"Get external mail search results","description":"Get search results. Results are added dynamically, as the search process goes, so there is no need to wait for the search to finish to get first data.","operationId":"getResults_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageMail External Result Item"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/leak":{"get":{"tags":["Leak"],"summary":"Get a list of leaks","description":"List all leaks available.","operationId":"getList_5","parameters":[{"name":"name","in":"query","description":"Name filter.","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of leaks","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageLeak Result"}}}}},"security":[{"Bearer":[]}]}},"/leak/{id}":{"get":{"tags":["Leak"],"summary":"Get leak","description":"Get leak information.","operationId":"get_9","parameters":[{"name":"id","in":"path","description":"Leak ID","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing leak","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Leak Result"}}}}},"security":[{"Bearer":[]}]}},"/leak/{id}/file":{"get":{"tags":["Leak"],"summary":"Get a list of leak files","description":"List all leak files for leak ID.","operationId":"getFiles","parameters":[{"name":"id","in":"path","description":"Leak ID","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of leak files","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageLeak File Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/leak/{id}/file/name":{"get":{"tags":["Leak"],"summary":"Get leak file by name","operationId":"getFile","parameters":[{"name":"id","in":"path","description":"Leak ID","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","description":"File name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Leak file","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Leak File Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/leak/search":{"get":{"tags":["Leak"],"summary":"Search leaks","description":"Search indexed information leaks.","operationId":"search_8","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"length","in":"query","description":"Fragment length, 0 to 1000 characters.","required":false,"schema":{"maximum":1000,"minimum":0,"type":"integer","default":100}},{"name":"highlight","in":"query","description":"Result highlighting flag.","required":false,"schema":{"type":"boolean","default":false}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageLeak Index Search Result"}}}}},"security":[{"Bearer":[]}]}},"/leak/search/distinct":{"get":{"tags":["Leak"],"summary":"Search leaks and return only unique leak objects","description":"Search distinct indexed information leaks.","operationId":"searchDistinct","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageLeak Index Distinct Search Result"}}}}},"security":[{"Bearer":[]}]}},"/leak/file/download/{id}":{"get":{"tags":["Leak File"],"summary":"Get existing leak file download task","description":"Get existing leak file download task to track its status.","operationId":"get_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing leak file download task","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Leak File Download Task Result"}}}}},"security":[{"Bearer":[]}]}},"/leak/file/download/{id}/download":{"get":{"tags":["Leak File"],"summary":"Download leak file content","description":"Download leak file content from the completed download task.","operationId":"download_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Leak file download content","content":{"application/octet-stream":{}}}},"security":[{"Bearer":[]}]}},"/generic/search/{id}":{"get":{"tags":["Generic Search"],"summary":"Get existing search object","description":"Get previously created search object to track its status.","operationId":"getSearch_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing search object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Generic Search Result"}}}}},"security":[{"Bearer":[]}]}},"/favorite/{id}":{"get":{"tags":["Favorite"],"summary":"Get favorite","description":"Get existing favorite object","operationId":"get_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Favorite object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Favorite Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]},"delete":{"tags":["Favorite"],"summary":"Remove favorite","description":"Remove one of user`s favorite","operationId":"delete_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty response"}},"security":[{"Bearer":[]}]}},"/external/search/{id}":{"get":{"tags":["External"],"summary":"Get existing search object","description":"Get previously created search object to track its status.","operationId":"getSearch_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing search object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/External Search Result"}}}}},"security":[{"Bearer":[]}]}},"/external/search/{id}/results":{"get":{"tags":["External"],"summary":"Get results from the existing search object","description":"Get search results. Results are added dynamically, as the search process goes, so there is no need to wait for the search to finish to get first data.","operationId":"getResults_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageExternal Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/export/{id}":{"get":{"tags":["Export"],"summary":"Get existing export object","description":"Get existing export object to track its status.","operationId":"get_12","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing export object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Export Result"}}}}},"security":[{"Bearer":[]}]}},"/export/{id}/download":{"get":{"tags":["Export"],"summary":"Download exported file","description":"Download exported file from the completed export job.","operationId":"download_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Exported file","content":{"application/octet-stream":{}}}},"security":[{"Bearer":[]}]}},"/domain/{id}":{"get":{"tags":["Domain"],"summary":"Get domain","description":"Get existing domain object from index.","operationId":"get_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing domain","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Domain Result"}}}}},"security":[{"Bearer":[]}]}},"/domain/search":{"get":{"tags":["Domain"],"summary":"Search domains","description":"Search indexed domains.","operationId":"search_9","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageDomain Result"}}}}},"security":[{"Bearer":[]}]}},"/domain/name":{"get":{"tags":["Domain"],"summary":"Get domain by name","description":"Get existing domain object from index.","operationId":"getByName","parameters":[{"name":"name","in":"query","required":true,"schema":{"maxLength":1000,"minLength":3,"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing domain","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Domain Result"}}}}},"security":[{"Bearer":[]}]}},"/domain/data/search/{id}":{"get":{"tags":["Domain"],"summary":"Get domain data request","description":"Get previously created data request to track its status.","operationId":"getDataRequest","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Existing data request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Domain Data Request Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/domain/data/search/{id}/results":{"get":{"tags":["Domain"],"summary":"Get domain data records","description":"Get data results. Results are added dynamically, as the collection process goes, so there is no need to wait for the request to finish to get first data.","operationId":"getDataRequestResult","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of data request results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageDomain Data Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/certificate/{id}":{"get":{"tags":["Certificate"],"summary":"Get certificate","description":"Get existing certificate object from repository.","operationId":"get_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing certificate","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Certificate Result"}}}}},"security":[{"Bearer":[]}]}},"/certificate/search":{"get":{"tags":["Certificate"],"summary":"Search certificates","description":"Search indexed certificate info.","operationId":"search_10","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageCertificate Result"}}}}},"security":[{"Bearer":[]}]}},"/cc/{id}":{"get":{"tags":["Card"],"summary":"Get card","description":"Get existing card object from index.","operationId":"get_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Existing card","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Credit Card Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/cc/search":{"get":{"tags":["Card"],"summary":"Search cards","description":"Search indexed credit card info.","operationId":"search_11","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageCredit Card Result"}}}}},"security":[{"Bearer":[]}]}},"/bot/{id}":{"get":{"tags":["Botnet"],"summary":"Get bot","description":"Get existing bot object from index.","operationId":"get_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing bot","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bot Result"}}}}},"security":[{"Bearer":[]}]}},"/bot/search":{"get":{"tags":["Botnet"],"summary":"Search bots","description":"Search indexed bot info.","operationId":"search_12","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageBot Result"}}}}},"security":[{"Bearer":[]}]}},"/bot/record/{id}":{"get":{"tags":["Botnet"],"summary":"Get bot record","description":"Get existing bot record object from index.","operationId":"getRecord","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing bot record","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bot Record Result"}}}}},"security":[{"Bearer":[]}]}},"/bot/record/search":{"get":{"tags":["Botnet"],"summary":"Search bot records","description":"Search indexed bot record info.","operationId":"searchRecords","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"Search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageBot Record Result"}}}}},"security":[{"Bearer":[]}]}},"/asset/{id}":{"get":{"tags":["Asset"],"summary":"Get asset","operationId":"get_17","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Result"}}}}},"security":[{"Bearer":[]}]},"delete":{"tags":["Asset"],"summary":"Delete asset","operationId":"delete_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty response"}},"security":[{"Bearer":[]}]}},"/asset/group/{id}":{"get":{"tags":["Asset Group"],"summary":"Get asset","operationId":"get_18","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Asset Group Result"}}}}},"security":[{"Bearer":[]}]},"delete":{"tags":["Asset Group"],"summary":"Delete asset","operationId":"delete_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty response"}},"security":[{"Bearer":[]}]}},"/analysis/benchmark/industry":{"get":{"tags":["Analysis Benchmark"],"summary":"List of industries","description":"Get a list of all industries in one page","operationId":"getIndustryList","responses":{"200":{"description":"List of industries","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageIndustry Benchmark Result"}}}}},"security":[{"Bearer":[]}]}},"/analysis/benchmark/industry/{id}":{"get":{"tags":["Analysis Benchmark"],"summary":"Get industry","operationId":"getIndustry","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Industry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Industry Benchmark Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/analysis/benchmark/country":{"get":{"tags":["Analysis Benchmark"],"summary":"List of countries","description":"Get a list of all countries in one page","operationId":"getCountryList","responses":{"200":{"description":"List of countries","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageCountry Benchmark Result"}}}}},"security":[{"Bearer":[]}]}},"/analysis/benchmark/country/{id}":{"get":{"tags":["Analysis Benchmark"],"summary":"Get country","operationId":"getCountry","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Country","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Country Benchmark Result"}}}}},"security":[{"Bearer":[]}]}},"/analysis/benchmark/company":{"get":{"tags":["Analysis Benchmark"],"summary":"Get company data","description":"Get company benchmark data. Throws 404 if no data is available or company is not configured.","operationId":"getCompany_1","responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Company benchmark data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Company Benchmark Result"}}}}},"security":[{"Bearer":[]}]}},"/alert":{"get":{"tags":["Alert"],"summary":"Get a list of alert events","description":"Get list of alert events.","operationId":"getList_11","parameters":[{"name":"jobId","in":"query","description":"Job ID to get events for.","required":false,"schema":{"type":"string"},"example":"f85a6dbe-2c88-4787-b95b-44d618e22ac5"},{"name":"type","in":"query","description":"Alert type.","required":false,"schema":{"$ref":"#/components/schemas/AlertType"},"example":"DOMAIN"},{"name":"status","in":"query","description":"Send status of alert event.","required":false,"schema":{"type":"string","enum":["NEW","SENT","ERROR"]},"example":"NEW"},{"name":"assetId","in":"query","required":false,"schema":{"type":"string"}},{"name":"assetGroupId","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of alert events","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageAlert Event Result"}}}}},"security":[{"Bearer":[]}]}},"/actor":{"get":{"tags":["Threat Actor"],"summary":"Get a list of threat actors","description":"List of threat actors.","operationId":"getList_12","parameters":[{"name":"query","in":"query","description":"Search query - search by name, mail and source","required":false,"schema":{"type":"string"}},{"name":"type","in":"query","description":"Actor type.","required":false,"schema":{"type":"string","enum":["PERSON","TEAM"]},"example":"PERSON"},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of actors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageThreat Actor Result"}}}}},"security":[{"Bearer":[]}]}},"/actor/{id}":{"get":{"tags":["Threat Actor"],"summary":"Get threat actor","description":"Threat actor information.","operationId":"get_19","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"200":{"description":"Existing threat actor","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Threat Actor Result"}}}}},"security":[{"Bearer":[]}]}},"/actor/{id}/leak":{"get":{"tags":["Threat Actor"],"summary":"Get a list of threat actor leaks","description":"List of available threat actor leaks.","operationId":"getLeaks","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of leaks","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageActor Leak Result"}}}}},"security":[{"Bearer":[]}]}},"/actor/{id}/association":{"get":{"tags":["Threat Actor"],"summary":"Get a list of threat actor associations","description":"List of threat actor associations with optional type filter.","operationId":"getAssociations","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","description":"Association type.","required":false,"schema":{"type":"string","enum":["SAME","TEAM","OTHER"]},"example":"SAME"},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of associations","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageActor Association Result"}}}}},"security":[{"Bearer":[]}]}},"/account/{id}":{"get":{"tags":["Leaked Account"],"summary":"Get leaked account","description":"Get leaked account information.","operationId":"get_20","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Existing leaked account","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Leaked Account Result"}}}},"404":{"description":"Object not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}},"security":[{"Bearer":[]}]}},"/account/search":{"get":{"tags":["Leaked Account"],"summary":"Search leaked accounts","description":"List all found leaked accounts.","operationId":"search_13","parameters":[{"name":"query","in":"query","description":"Search query, 3 to 10000 characters.","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve.","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page.","schema":{"type":"integer","default":10}},{"name":"sort","in":"query","description":"Sort field and direction (asc or desc) separated by comma.","schema":{"type":"string","default":"createdAt,desc"},"example":"name,asc"}],"responses":{"200":{"description":"List of found leaked accounts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageLeaked Account Result"}}}}},"security":[{"Bearer":[]}]}},"/error":{"get":{"tags":["error-controller"],"operationId":"error","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}},"put":{"tags":["error-controller"],"operationId":"error_3","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}},"post":{"tags":["error-controller"],"operationId":"error_2","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}},"delete":{"tags":["error-controller"],"operationId":"error_5","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}},"options":{"tags":["error-controller"],"operationId":"error_6","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}},"head":{"tags":["error-controller"],"operationId":"error_1","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}},"patch":{"tags":["error-controller"],"operationId":"error_4","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"Account Update Settings Payload":{"type":"object","properties":{"mfaEnabled":{"type":"boolean","description":"MFA enabled flag","example":false},"mfaType":{"type":"string","description":"MFA type","example":"OTP","enum":["APP","OTP"]}}},"Account Result":{"required":["active","companyId","companyName","email","id","login","mfaConfigured","mfaEnabled","mfaType","roles"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"login":{"type":"string","description":"Login","example":"bob"},"email":{"type":"string","description":"Email address used for notifications","example":"bob@bob.com"},"companyId":{"type":"string","description":"Company ID","example":"7"},"companyName":{"type":"string","description":"Company name","example":"Security Solutions AG"},"active":{"type":"boolean","description":"Account is active and available for login","example":true},"mfaEnabled":{"type":"boolean","description":"MFA enabled flag","example":true},"mfaConfigured":{"type":"boolean","description":"MFA configured flag","example":true},"mfaType":{"type":"string","description":"MFA type","enum":["APP","OTP"]},"alertDeliveryMethod":{"type":"string","description":"The way this account will get alert notifications","example":"EMAIL","enum":["EMAIL","HTTP"]},"webhookUrl":{"type":"string","description":"Callback URL to receive HTTPS alert notifications","example":"https://somedomain.com/alert/callback"},"roles":{"type":"array","description":"List of roles the account has","items":{"type":"object","description":"List of roles the account has","oneOf":[{"type":"string"}],"enum":["ROLE_COMPANY_ADMIN","ROLE_COMPANY_USER"]},"enum":["ROLE_COMPANY_ADMIN","ROLE_COMPANY_USER"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"Company Update Settings Payload":{"required":["mfaForced"],"type":"object","properties":{"mfaForced":{"type":"boolean","description":"MFA forced flag"},"industryId":{"type":"string","description":"Industry id","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"countryId":{"type":"string","description":"Country id","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"numberOfEmployees":{"type":"integer","description":"Number of employees, must be positive number","format":"int64","example":120},"domain":{"type":"string","description":"Domain","example":"kaduu.ch"}}},"Company Result":{"required":["active","id","mfaForced","plan","searchCount"],"type":"object","properties":{"id":{"type":"string","description":"Company ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"name":{"type":"string","description":"Company Name","example":"Kaduu"},"active":{"type":"boolean","description":"Company is active and available for login","example":true},"mfaForced":{"type":"boolean","description":"MFA forced flag"},"planExpireDate":{"type":"string","description":"Company plan expire date time in UTC zone, format: yyyy-MM-dd","format":"date","example":"2022-02-22"},"searchCount":{"type":"integer","description":"Search Count","format":"int64","example":3},"plan":{"$ref":"#/components/schemas/PlanResult"},"industryId":{"type":"string","description":"Industry ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"countryId":{"type":"string","description":"Country ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"numberOfEmployees":{"type":"integer","description":"Number of employees","format":"int64","example":3},"domain":{"type":"string","description":"Domain name","example":"kaduu.ch"}}},"PlanResult":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"searchLimit":{"type":"integer","format":"int64"},"accountLimit":{"type":"integer","format":"int64"},"features":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["CERTIFICATE","CREDIT_CARD","MAIL","MAIL_EXTERNAL","LEAK","BOTNET","BOT_RECORD","LEAK_FILE_EXPORT","DOMAIN","DOMAIN_DATA_ARBITRARY","DOMAIN_DATA_MULTIPLE","DOMAIN_DATA_SINGLE","DOMAIN_TRACKER","EXTERNAL","FAVORITE","POST","SOCIAL","PASTE","ACCOUNT","EXPORT","RANSOMWARE","LEAK_DISTINCT"]}}},"description":"Plan Result","example":"Object"},"Alert Job Update Payload":{"required":["active","id"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"48"},"active":{"type":"boolean","description":"Alert job is active","example":true}}},"ErrorResult":{"type":"object","properties":{"error":{"type":"string"},"details":{"type":"object","additionalProperties":{"type":"string"}}}},"Alert Job Result":{"required":["accountId","active","alertCount","createdAt","id","keyword","status","type","updatedAt"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"accountId":{"type":"string","description":"Account ID","example":"7fa7d726-b37e-4928-bfa3-0b8e39fffc0d"},"assetId":{"type":"string","description":"Asset ID","example":"7fa7d726-b37e-4928-bfa3-0b8e39fffc0d"},"assetGroupId":{"type":"string","description":"Asset Group ID","example":"7fa7d726-b37e-4928-bfa3-0b8e39fffc0d"},"keyword":{"type":"string","description":"Keyword to track","example":"contoso"},"type":{"type":"string","description":"Type of events to track","example":"DOMAIN","enum":["LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","CERTIFICATE","CREDIT_CARD","DOMAIN","DOMAIN_IP","DOMAIN_TRACKER","DOMAIN_ACTIVE","MAIL","MAIL_EXTERNAL","POST","SOCIAL","PASTE","EXTERNAL","ACCOUNT","RANSOMWARE"]},"active":{"type":"boolean","description":"Alert job is active","example":true},"alertCount":{"type":"integer","description":"Alert count","format":"int64","example":103},"status":{"type":"string","description":"Job status","enum":["OK, ERROR"]},"errorMessage":{"type":"string","description":"Error message"},"createdAt":{"type":"string","description":"Time when alert job was created in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"updatedAt":{"type":"string","description":"Time when alert job was updated in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"Account Update Payload":{"required":["active","alertDeliveryMethod","email","id","login","roles"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"login":{"maxLength":100,"minLength":1,"type":"string","description":"Login, 1 to 100 characters","example":"bob"},"email":{"maxLength":100,"minLength":3,"type":"string","description":"Email address used for notifications, 3 to 100 characters","example":"bob@bob.com"},"password":{"type":"string","description":"Password, 5 or more characters. Leave empty to keep the current password","example":"bobTop53cret#"},"active":{"type":"boolean","description":"Account is active and available for login","example":true},"alertDeliveryMethod":{"type":"string","description":"The way this account will get alert notifications","example":"EMAIL","enum":["EMAIL","HTTP"]},"webhookUrl":{"maxLength":1000,"minLength":0,"type":"string","description":"Callback URL to receive HTTPS alert notifications. Only HTTPS resources are allowed.","example":"https://somedomain.com/alert/callback"},"roles":{"type":"array","description":"List of roles the account has","example":"['ROLE_COMPANY_ADMIN', 'ROLE_COMPANY_USER']","items":{"type":"string","description":"List of roles the account has","example":"['ROLE_COMPANY_ADMIN', 'ROLE_COMPANY_USER']","enum":["ROLE_COMPANY_ADMIN","ROLE_COMPANY_USER"]},"enum":["ROLE_COMPANY_ADMIN","ROLE_COMPANY_USER"]}}},"Asset Update Payload":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"4bf097d0-5e59-4872-9b97-08fdd97aa73d"},"name":{"type":"string","description":"Name"},"description":{"type":"string","description":"Value"}}},"Asset Result":{"required":["accountId","assetGroupId","companyId","createdAt","id","name","numberOfAlerts","type","updatedAt","value"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"4bf097d0-5e59-4872-9b97-08fdd97aa73d"},"assetGroupId":{"type":"string","description":"Asset Group ID","example":"eb783219-8b6d-4f20-b29e-ed0f521b95d8"},"companyId":{"type":"string","description":"Company ID","example":"f714cd25-d0c6-4a56-b4bf-e45784bf5fdc"},"accountId":{"type":"string","description":"Account ID","example":"99876284-7b98-4735-98c0-0c986a4831e0"},"name":{"type":"string","description":"Name"},"value":{"type":"string","description":"Value"},"description":{"type":"string","description":"Description"},"type":{"type":"string","description":"Type of asset","example":"BRAND","enum":["BRAND","PERSON","INFRASTRUCTURE","CREDIT_CARD","DOMAIN","BANK_ACCOUNT_NUMBER","API_KEY","HASH","IMAGE","FILE","TEXT","URL"]},"subType":{"type":"string","description":"SubType of asset, depends on Type","example":"FULL_NAME","enum":["FULL_NAME","NICK_NAME","EMAIL","PHONE","ASN","SERVER","WORKSTATION"]},"numberOfAlerts":{"type":"integer","description":"Number of alerts","format":"int64","example":5},"createdAt":{"type":"string","description":"Time when asset was created, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"updatedAt":{"type":"string","description":"Time when asset was updated, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"Asset Group Update Payload":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"4bf097d0-5e59-4872-9b97-08fdd97aa73d"},"name":{"type":"string","description":"Name"},"description":{"type":"string","description":"Description"}}},"Asset Group Result":{"required":["accountId","companyId","createdAt","id","name","numberOfAssets","updatedAt"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"4bf097d0-5e59-4872-9b97-08fdd97aa73d"},"companyId":{"type":"string","description":"Company ID","example":"f714cd25-d0c6-4a56-b4bf-e45784bf5fdc"},"accountId":{"type":"string","description":"Account ID","example":"99876284-7b98-4735-98c0-0c986a4831e0"},"name":{"type":"string","description":"Name"},"description":{"type":"string","description":"Description"},"numberOfAssets":{"type":"integer","description":"Number of assets within group","format":"int64"},"createdAt":{"type":"string","description":"Time when group was created, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"updatedAt":{"type":"string","description":"Time when group was updated, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"Alert Sent Payload":{"required":["includeIdStrategy","queryIds","status"],"type":"object","properties":{"status":{"type":"string","description":"Desired alert status","example":"SENT","enum":["NEW","SENT"]},"jobId":{"type":"string","description":"Job ID to filter alerts for.","example":"12cc3b24-ee03-591d-aa36-46abc8e9ea99"},"type":{"type":"string","description":"Alert event type.","example":"DOMAIN","enum":["LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","CERTIFICATE","CREDIT_CARD","DOMAIN","DOMAIN_IP","DOMAIN_TRACKER","DOMAIN_ACTIVE","MAIL","MAIL_EXTERNAL","POST","SOCIAL","PASTE","EXTERNAL","ACCOUNT","RANSOMWARE"]},"currentStatus":{"type":"string","description":"Current status of alert event.","example":"ERROR","enum":["NEW","SENT","ERROR"]},"assetId":{"type":"string","description":"Asset ID to filter alerts for.","example":"12cc3b24-ee03-591d-aa36-46abc8e9ea99"},"assetGroupId":{"type":"string","description":"Asset Group ID to filter alerts for.","example":"12cc3b24-ee03-591d-aa36-46abc8e9ea99"},"queryIds":{"type":"array","description":"Object IDs to export or exclude from export. The list may be empty.","example":"['12cc3b24-ee03-591d-aa36-46abc8e9ea99', '78cc4b67-ee03-591d-aa36-46abc8e9ea88']","items":{"type":"string","description":"Object IDs to export or exclude from export. The list may be empty.","example":"['12cc3b24-ee03-591d-aa36-46abc8e9ea99', '78cc4b67-ee03-591d-aa36-46abc8e9ea88']"}},"includeIdStrategy":{"type":"string","description":"Object IDs inclusion strategy. This field determines, whether IDs in queryIds should be exported or excluded from export.","example":"EXCLUDE","enum":["INCLUDE","EXCLUDE","INCLUDE","EXCLUDE"]}}},"Social Network Search Payload":{"required":["query"],"type":"object","properties":{"query":{"type":"string","description":"Search query, 3 to 10000 characters","example":"contoso"},"timeFrom":{"type":"string","description":"Social network creation starting time in UTC zone, format: yyyy-MM-dd HH:mm:ss. The system will search for social network posts created after the specified time.","format":"date-time"},"timeTo":{"type":"string","description":"Social network creation ending time in UTC zone, format: yyyy-MM-dd HH:mm:ss. The system will search for social network posts created before the specified time.","format":"date-time"},"onlyNegative":{"type":"boolean","description":"Filter to include results only with a higher negativity score","example":false}}},"Social Network Search Result":{"required":["createdAt","id","query","resultCount","status"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Search start time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"query":{"type":"string","description":"Keyword to search","example":"contoso"},"timeFrom":{"type":"string","description":"Social network creation starting time in UTC zone, format: yyyy-MM-dd HH:mm:ss. The system will search for social network posts created after the specified time.","format":"date-time"},"timeTo":{"type":"string","description":"Social network creation ending time in UTC zone, format: yyyy-MM-dd HH:mm:ss. The system will search for social network posts created before the specified time.","format":"date-time"},"status":{"type":"string","description":"Search status","example":"NEW","enum":["NEW","RUNNING","ERROR","FINISHED","NEW, ERROR, FINISHED"]},"resultCount":{"type":"integer","description":"Total number of search results","format":"int64"}}},"Report Template Result":{"required":["accountId","accountName","companyId","createdAt","id","name","size","updatedAt"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"name":{"type":"string","description":"Name","example":"Default Template"},"size":{"type":"integer","description":"Template size in bytes","format":"int64","example":102400},"accountName":{"type":"string","description":"User name","example":"bob"},"accountId":{"type":"string","description":"Account ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"companyId":{"type":"string","description":"Company ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when report template was created in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"updatedAt":{"type":"string","description":"Time when report template was updated in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"Alert Job Create Payload":{"required":["keyword","type"],"type":"object","properties":{"accountId":{"type":"string","description":"Account ID that owns the job. If skipped, and for non-admin accounts the system sets it to the current account ID. The ID must belong to the same company.","example":"46da7732-daeb-4710-a076-0f639736b5d2"},"keyword":{"maxLength":1000,"minLength":3,"type":"string","description":"Keyword to track, 3 to 1000 characters.","example":"contoso"},"type":{"type":"string","description":"Type of events to track","example":"DOMAIN","enum":["LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","CERTIFICATE","CREDIT_CARD","DOMAIN","DOMAIN_IP","DOMAIN_TRACKER","DOMAIN_ACTIVE","MAIL","MAIL_EXTERNAL","POST","SOCIAL","PASTE","EXTERNAL","ACCOUNT","RANSOMWARE"]}}},"Alert Job Bulk Create Payload":{"required":["createTypes","extractType","includeIdStrategy","query","queryIds","source"],"type":"object","properties":{"query":{"maxLength":10000,"minLength":0,"type":"string","description":"Search query, 3 to 1000 characters","example":"bob@bob.com"},"queryIds":{"maxItems":100,"minItems":0,"type":"array","description":"Object IDs to search or exclude from search. The list may be empty.","example":"['1', '5']","items":{"type":"string","description":"Object IDs to search or exclude from search. The list may be empty.","example":"['1', '5']"}},"includeIdStrategy":{"type":"string","description":"Object IDs inclusion strategy. This field determines, whether IDs in queryIds should be included or excluded from search results.","example":"EXCLUDE","enum":["INCLUDE","EXCLUDE","INCLUDE","EXCLUDE"]},"source":{"type":"string","description":"Data source to get results from","enum":["LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","CERTIFICATE","CREDIT_CARD","DOMAIN","DOMAIN_IP","DOMAIN_TRACKER","DOMAIN_ACTIVE","MAIL","MAIL_EXTERNAL","POST","SOCIAL","PASTE","EXTERNAL","ACCOUNT","RANSOMWARE"]},"accountId":{"type":"string","description":"Account ID that owns the job. If skipped, and for non-admin accounts the system sets it to the current account ID. The ID must belong to the same company.","example":"3c18b31b-de06-4ffc-beec-2c54736083fa"},"extractType":{"type":"string","description":"Way to extract data - extract mails, domain names or the whole string match","example":"MAIL","enum":["DOMAIN","MAIL","MATCH","MAIL","DOMAIN","MATCH"]},"createTypes":{"maxLength":2147483647,"minLength":1,"type":"string","description":"Types of alert events to create. This may differ from `type` and may even include multiple types.","example":"['ACCOUNT', 'LEAK_DISTINCT']","enum":["LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","CERTIFICATE","CREDIT_CARD","DOMAIN","DOMAIN_IP","DOMAIN_TRACKER","DOMAIN_ACTIVE","MAIL","MAIL_EXTERNAL","POST","SOCIAL","PASTE","EXTERNAL","ACCOUNT","RANSOMWARE"]}}},"Account Create Payload":{"required":["active","alertDeliveryMethod","email","login","password","roles"],"type":"object","properties":{"login":{"maxLength":100,"minLength":1,"type":"string","description":"Login, 1 to 100 characters","example":"bob"},"email":{"maxLength":100,"minLength":3,"type":"string","description":"Email address used for notifications, 3 to 100 characters","example":"bob@bob.com"},"password":{"maxLength":2147483647,"minLength":5,"type":"string","description":"Password, 5 or more characters","example":"bobTop53cret#"},"active":{"type":"boolean","description":"Account is active and available for login","example":true},"alertDeliveryMethod":{"type":"string","description":"The way this account will get alert notifications","example":"EMAIL","enum":["EMAIL","HTTP"]},"webhookUrl":{"maxLength":1000,"minLength":0,"type":"string","description":"Callback URL to receive HTTPS alert notifications. Only HTTPS resources are allowed.","example":"https://somedomain.com/alert/callback"},"roles":{"type":"array","description":"List of roles the account has","items":{"type":"object","description":"List of roles the account has","oneOf":[{"type":"string"}],"enum":["ROLE_COMPANY_ADMIN","ROLE_COMPANY_USER"]},"enum":["ROLE_COMPANY_ADMIN","ROLE_COMPANY_USER"]}}},"Report Create Payload":{"required":["name","searchId","templateId"],"type":"object","properties":{"name":{"maxLength":1000,"minLength":1,"type":"string","description":"Report name","example":"Account report"},"searchId":{"type":"string","description":"Generic Search ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"templateId":{"type":"string","description":"Template ID","example":"1770d292-b564-3f46-a163-f00fa9f23b4c"}}},"Report Result":{"required":["accountId","accountName","companyId","createdAt","id","name","recordCount","size","status","updatedAt"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"name":{"type":"string","description":"Name","example":"Account report"},"status":{"type":"string","description":"Status","example":"FINISHED","enum":["NEW, ERROR, FINISHED"]},"size":{"type":"integer","description":"File size in bytes","format":"int64","example":102400},"recordCount":{"type":"integer","description":"Record count","format":"int64","example":187},"accountName":{"type":"string","description":"User name","example":"bob"},"accountId":{"type":"string","description":"Account ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"companyId":{"type":"string","description":"Company ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when report generation was started in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"updatedAt":{"type":"string","description":"Time when report generation stopped, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"Mail External Search Payload":{"required":["query"],"type":"object","properties":{"query":{"type":"string","description":"Company name or domain name with optional person name.","example":"asana.com \"Erin Cheng\""}}},"Mail External Search Result":{"required":["createdAt","id","query","resultCount","status"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"2341"},"query":{"type":"string","description":"Source query","example":"bob.com"},"status":{"type":"string","description":"Search status","example":"NEW","enum":["NEW","RUNNING","ERROR","FINISHED","NEW, ERROR, FINISHED"]},"createdAt":{"type":"string","description":"Search start time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"resultCount":{"type":"integer","description":"Search result count","format":"int32","example":10}}},"Leak File Download Task Payload":{"required":["digest","leakId"],"type":"object","properties":{"leakId":{"maxLength":2147483647,"minLength":1,"type":"string","description":"Leak ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"digest":{"maxLength":2147483647,"minLength":1,"type":"string","description":"File digest","example":"ADAC90F94BE2BADD6BF02DE038DE69200EA379BAF3D5D6B2E86075448ED2FC25"}}},"Leak File Download Task Result":{"required":["createdAt","id","name","size","status","updatedAt"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"name":{"type":"string","description":"File Name","example":"example.txt"},"status":{"type":"string","description":"Task status","example":"FINISHED","enum":["NEW","ERROR","FINISHED","NEW","ERROR","FINISHED"]},"errorText":{"type":"string","description":"File processing error if any","example":"Invalid file format"},"size":{"type":"integer","description":"Leak file size in bytes","format":"int64","example":102400},"createdAt":{"type":"string","description":"Time when file was created in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"updatedAt":{"type":"string","description":"Time when file was updated last time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"Generic Search Payload":{"required":["query"],"type":"object","properties":{"query":{"type":"string","description":"Search query, 3 to 10000 characters","example":"contoso"},"services":{"type":"array","description":"Search services. If not specified, then will search all services","example":"['LEAK', 'MAIL']","items":{"type":"string","description":"Search services. If not specified, then will search all services","example":"['LEAK', 'MAIL']","enum":["ACCOUNT","CERTIFICATE","CREDIT_CARD","LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","MAIL","MAIL_EXTERNAL","DOMAIN","PASTE","POST","SOCIAL","EXTERNAL","RANSOMWARE"]}},"wizard":{"type":"boolean","description":"Enable query wizard, that will transform queries provided by user to queries that will provide more relevant results","example":true}}},"Generic Search Result":{"required":["createdAt","id","resultCount","states","status","wizard"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Search start time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"status":{"type":"string","description":"Search status","example":"NEW","enum":["NEW","RUNNING","ERROR","FINISHED","NEW","RUNNING","ERROR","FINISHED"]},"states":{"type":"object","additionalProperties":{"type":"array","description":"Service search states","items":{"$ref":"#/components/schemas/Service Search Result"}},"description":"Service search states"},"resultCount":{"type":"integer","description":"Result count","format":"int64"},"wizard":{"type":"boolean","description":"Enable query wizard, that will transform queries provided by user to queries that will provide more relevant results"}}},"Service Search Result":{"required":["createdAt","query","resultCount","status"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"query":{"type":"string","description":"Search query, may be different from the main query if query wizard is used","example":"test"},"status":{"type":"string","description":"Search request status","example":"NEW","enum":["NEW","RUNNING","ERROR","FINISHED","NEW","RUNNING","ERROR","FINISHED"]},"resultCount":{"type":"integer","description":"Result count","format":"int64"},"createdAt":{"type":"string","description":"Search start time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}},"description":"Service search states"},"Generic Search Export Payload":{"required":["prettyPrint","type"],"type":"object","properties":{"type":{"type":"string","description":"Export format type","example":"JSON","enum":["JSON","CSV","DOCX","XML","CSV","JSON","XML"]},"prettyPrint":{"type":"boolean","description":"Pretty print flag, controls whether JSON and XML output should be indented for better readability.","example":true}}},"Export Result":{"required":["createdAt","filesCount","id","recordCount","sources","status","type"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"2345"},"status":{"type":"string","description":"Export status","example":"NEW","enum":["NEW","RUNNING","ERROR","FINISHED"]},"createdAt":{"type":"string","description":"Time when export was started in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"sources":{"uniqueItems":true,"type":"array","description":"Export sources/services to get data from","example":"DOMAIN","items":{"type":"string","description":"Export sources/services to get data from","example":"DOMAIN","enum":["ACCOUNT","CERTIFICATE","CREDIT_CARD","LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","MAIL","MAIL_EXTERNAL","DOMAIN","PASTE","POST","SOCIAL","EXTERNAL","RANSOMWARE"]}},"type":{"type":"string","description":"Export format type","example":"JSON","enum":["JSON","CSV","DOCX","XML","CSV, JSON, XML"]},"recordCount":{"type":"integer","description":"Record count in exported file","format":"int64","example":187},"filesCount":{"type":"integer","description":"Number of files in exported file. Only applicable for exports with multiple sources.","format":"int32","example":1}}},"Favorite Create Payload":{"required":["refId","title","type"],"type":"object","properties":{"refId":{"maxLength":1000,"minLength":3,"type":"string","description":"Referenced object ID, 3 to 1000 characters","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"refUrl":{"maxLength":1000,"minLength":0,"type":"string","description":"Referenced object URL, up to 1000 characters","example":"https://kaduu.ch/"},"type":{"type":"string","description":"Object type","example":"LEAK","enum":["ACCOUNT","BOTNET","CREDIT_CARD","DOMAIN","EXTERNAL","LEAK","LEAK_DISTINCT","MAIL","MAIL_EXTERNAL","PASTE","POST","SOCIAL","THREAT_ACTOR","RANSOMWARE","POST","PASTE","CERTIFICATE"]},"title":{"maxLength":1000,"minLength":0,"type":"string","description":"Object title","example":"john@doe.com"},"content":{"type":"string","description":"Serialized object value","example":"{\"email\":\"john@doe.com\"}"}}},"Favorite Result":{"required":["createdAt","id","refId","title","type"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when favorite was created in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"refId":{"type":"string","description":"Referenced object ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"refUrl":{"type":"string","description":"Referenced object URL"},"type":{"type":"string","description":"Object type","example":"LEAK","enum":["ACCOUNT","BOTNET","CREDIT_CARD","DOMAIN","EXTERNAL","LEAK","LEAK_DISTINCT","MAIL","MAIL_EXTERNAL","PASTE","POST","SOCIAL","THREAT_ACTOR","RANSOMWARE","POST","PASTE","CERTIFICATE"]},"title":{"type":"string","description":"Object title","example":"john@doe.com"},"content":{"type":"string","description":"Serialized object value","example":"{\"email\":\"john@doe.com\"}"}}},"External Search Request Payload":{"required":["query","validate"],"type":"object","properties":{"query":{"type":"string","description":"Search query, 3 to 10000 characters","example":"contoso"},"validate":{"type":"boolean","description":"Validation flag. If set to true, checks every result received from external sources by visiting the result web page and examining if it indeed contains the search term. Narrows down the results, but makes the results more relevant.","example":true}}},"External Search Result":{"required":["id","query","resultCount","states","status"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"query":{"type":"string","description":"Keyword to search","example":"contoso"},"status":{"type":"string","description":"Search status","example":"NEW","enum":["NEW","RUNNING","ERROR","FINISHED","NEW, ERROR, FINISHED"]},"resultCount":{"type":"integer","description":"Total number of search results","format":"int64"},"states":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/External Service State"},"description":"Search service states"}}},"External Service State":{"required":["progress","resultCount","status"],"type":"object","properties":{"status":{"type":"string","description":"Search status","example":"NEW","enum":["NEW","RUNNING","ERROR","FINISHED"]},"resultCount":{"type":"integer","description":"Number of search results","format":"int64"},"progress":{"type":"number","description":"Search progress percentage","format":"double"}},"description":"Search service states"},"Export Payload":{"required":["includeIdStrategy","prettyPrint","query","queryIds","sources","type"],"type":"object","properties":{"sources":{"maxItems":2147483647,"minItems":1,"uniqueItems":true,"type":"array","description":"Export sources/services to get data from","example":"DOMAIN","items":{"type":"string","description":"Export sources/services to get data from","example":"DOMAIN","enum":["ACCOUNT","CERTIFICATE","CREDIT_CARD","LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","MAIL","MAIL_EXTERNAL","DOMAIN","PASTE","POST","SOCIAL","EXTERNAL","RANSOMWARE"]}},"type":{"type":"string","description":"Export format type","example":"JSON","enum":["JSON","CSV","DOCX","XML"]},"query":{"type":"string","description":"Search object in JSON format, 3 to 10000 characters. At least, this object should contain a \"query\" field with an actual search query. Various search types may contain additional fields, please refer to corresponding module search documentation for information on additional fields available here.","example":"bob@bob.com"},"queryIds":{"maxItems":100,"minItems":0,"type":"array","description":"Object IDs to export or exclude from export, up to 100 items. The list may be empty.","example":"['1', '5']","items":{"type":"string","description":"Object IDs to export or exclude from export, up to 100 items. The list may be empty.","example":"['1', '5']"}},"includeIdStrategy":{"type":"string","description":"Object IDs inclusion strategy. This field determines, whether IDs in queryIds should be exported or excluded from export.","example":"EXCLUDE","enum":["INCLUDE","EXCLUDE"]},"prettyPrint":{"type":"boolean","description":"Pretty print flag, controls whether JSON and XML output should be indented for better readability.","example":true},"sortField":{"type":"string","description":"Sort field","example":"createdAt"},"sortDirection":{"type":"string","description":"Sort direction","example":"DESC","enum":["ASC","DESC","ASC, DESC"]}}},"Existing Domain Data Request Payload":{"type":"object","properties":{"provider":{"type":"string","description":"Data provider, may be null when requesting data for all available providers","example":"DNS","enum":["DNS","DNS_TWIST","HTTP","PORT","SMTP","WHOIS","GEO","SCREENSHOT"]},"remember":{"type":"boolean","description":"Remember data results for the domain in permanent storage","example":false}}},"Domain Data Request Result":{"required":["createdAt","id","query","resultCount","status"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Request creation time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"query":{"type":"string","description":"Domain name search query","example":"contoso.com"},"provider":{"type":"string","description":"Data provider, may be null when requesting data for all available providers","example":"DNS","enum":["DNS","DNS_TWIST","HTTP","PORT","SMTP","WHOIS","GEO","SCREENSHOT"]},"status":{"type":"string","description":"Data request status","example":"NEW","enum":["NEW","RUNNING","ERROR","FINISHED","NEW, ERROR, FINISHED"]},"resultCount":{"type":"integer","description":"Result count","format":"int64","example":103}}},"Existing Domain Data Batch Request Payload":{"required":["includeIdStrategy","query","queryIds"],"type":"object","properties":{"query":{"maxLength":10000,"minLength":3,"type":"string","description":"Search query, 3 to 1000 characters","example":"some.domain.com"},"queryIds":{"maxItems":1000,"minItems":0,"type":"array","description":"Object IDs to request data or exclude from request. The list may be empty. Maximum 1000 domain ids are allowed.","example":"['1', '2']","items":{"type":"string","description":"Object IDs to request data or exclude from request. The list may be empty. Maximum 1000 domain ids are allowed.","example":"['1', '2']"}},"includeIdStrategy":{"type":"string","description":"Object IDs inclusion strategy. This field determines, whether IDs in queryIds should be included or excluded from request.","example":"EXCLUDE","enum":["INCLUDE","EXCLUDE","INCLUDE","EXCLUDE"]},"provider":{"type":"string","description":"Data provider, may be null when requesting data for all available providers","example":"DNS","enum":["DNS","DNS_TWIST","HTTP","PORT","SMTP","WHOIS","GEO","SCREENSHOT"]},"sortField":{"type":"string","description":"Sort field","example":"createdAt"},"sortDirection":{"type":"string","description":"Sort direction","example":"DESC","enum":["ASC","DESC","ASC, DESC"]}}},"Domain Data Request Payload":{"required":["query"],"type":"object","properties":{"query":{"maxLength":1000,"minLength":3,"type":"string","description":"Target domain name search query, 3 to 1000 characters","example":"contoso.com"},"provider":{"type":"string","description":"Data provider, may be null when requesting data for all available providers","example":"DNS","enum":["DNS","DNS_TWIST","HTTP","PORT","SMTP","WHOIS","GEO","SCREENSHOT"]}}},"Asset Create Payload":{"required":["assetGroupId","name","type","value"],"type":"object","properties":{"assetGroupId":{"type":"string","description":"Group ID","example":"4bf097d0-5e59-4872-9b97-08fdd97aa73d"},"name":{"type":"string","description":"Name"},"value":{"type":"string","description":"Value"},"description":{"type":"string","description":"Description"},"type":{"type":"string","description":"Type of asset","example":"BRAND","enum":["BRAND","PERSON","INFRASTRUCTURE","CREDIT_CARD","DOMAIN","BANK_ACCOUNT_NUMBER","API_KEY","HASH","IMAGE","FILE","TEXT","URL"]},"subType":{"type":"string","description":"SubType of asset, depends on Type","example":"FULL_NAME","enum":["FULL_NAME","NICK_NAME","EMAIL","PHONE","ASN","SERVER","WORKSTATION"]}}},"Asset Group Create Payload":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Name"},"description":{"type":"string","description":"Description"}}},"Statistics Result":{"required":["accounts","alerts","botRecords","bots","certificates","creditCards","domains","exports","leakRecords","leakWebsites","leaks","leaksSize","mails","pastes","posts"],"type":"object","properties":{"leaks":{"type":"integer","description":"Number of leaks indexed","format":"int64"},"leakRecords":{"type":"integer","description":"Number of leak records discovered","format":"int64"},"leaksSize":{"type":"integer","description":"Size of leaks indexed, in bytes","format":"int64"},"leakWebsites":{"type":"integer","description":"Number of website leaks","format":"int64"},"creditCards":{"type":"integer","description":"Number of credit cards indexed","format":"int64"},"domains":{"type":"integer","description":"Number of domains indexed","format":"int64"},"mails":{"type":"integer","description":"Number of mails indexed","format":"int64"},"posts":{"type":"integer","description":"Number of discussion board posts","format":"int64"},"pastes":{"type":"integer","description":"Number of pastes indexed","format":"int64"},"accounts":{"type":"integer","description":"Number of accounts indexed","format":"int64"},"alerts":{"type":"integer","description":"Number of alert events triggered","format":"int64"},"bots":{"type":"integer","description":"Number of bots indexed","format":"int64"},"botRecords":{"type":"integer","description":"Number of bot records indexed","format":"int64"},"exports":{"type":"integer","description":"Number of actual exports","format":"int64"},"certificates":{"type":"integer","description":"Number of actual certificates","format":"int64"}},"description":"System statistics"},"Alert Total Risk Result":{"required":["high","low","med","source"],"type":"object","properties":{"source":{"type":"string","description":"Type of alert event","example":"DOMAIN","enum":["LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","CERTIFICATE","CREDIT_CARD","DOMAIN","DOMAIN_IP","DOMAIN_TRACKER","DOMAIN_ACTIVE","MAIL","MAIL_EXTERNAL","POST","SOCIAL","PASTE","EXTERNAL","ACCOUNT","RANSOMWARE"]},"high":{"type":"integer","description":"Sum of high scores per period","format":"int64","example":2},"med":{"type":"integer","description":"Sum of medium scores per period","format":"int64","example":1},"low":{"type":"integer","description":"Sum of low scores per period","format":"int64","example":45}}},"Alert Historical Risk Result":{"required":["date","high","low","med"],"type":"object","properties":{"date":{"type":"string","description":"Date when alert was created in UTC zone, format: yyyy-MM-dd","format":"date","example":"2019-10-22"},"high":{"type":"integer","description":"Sum of high scores per period","format":"int64","example":2},"med":{"type":"integer","description":"Sum of medium scores per period","format":"int64","example":1},"low":{"type":"integer","description":"Sum of low scores per period","format":"int64","example":45}}},"Leaks Daily Statistic":{"required":["date","leaks"],"type":"object","properties":{"date":{"type":"string","description":"Date when leaks was indexed by Kaduu in UTC zone, format: yyyy-MM-dd","format":"date","example":"2021-01-22"},"leaks":{"type":"integer","description":"Count of leaks per date","format":"int64","example":30526}}},"LeakTrendResult":{"type":"object","properties":{"date":{"type":"string","format":"date"},"items":{"type":"array","items":{"$ref":"#/components/schemas/LeakTrendResultItem"}}}},"LeakTrendResultItem":{"type":"object","properties":{"publicId":{"type":"string"},"numberOfAlertEvents":{"type":"integer","format":"int64"},"leakName":{"type":"string"},"leakTags":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"leakSize":{"type":"integer","format":"int64"}}},"Leaked Accounts Daily Statistic":{"required":["accounts","date"],"type":"object","properties":{"date":{"type":"string","description":"Date when leaked accounts was indexed by Kaduu in UTC zone, format: yyyy-MM-dd","format":"date","example":"2021-01-22"},"accounts":{"type":"integer","description":"Count of leaked accounts per date","format":"int64","example":30526}}},"AccountTrendResult":{"type":"object","properties":{"date":{"type":"string","format":"date"},"items":{"type":"array","items":{"$ref":"#/components/schemas/AccountTrendResultItem"}}}},"AccountTrendResultItem":{"type":"object","properties":{"publicId":{"type":"string"},"numberOfAlertEvents":{"type":"integer","format":"int64"},"leakName":{"type":"string"},"leakTags":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"leakSize":{"type":"integer","format":"int64"},"website":{"type":"string"},"websiteType":{"type":"string"},"websiteNumberOfAccounts":{"type":"integer","format":"int64"},"leakPublicId":{"type":"string"}}},"Pageable":{"type":"object","properties":{"page":{"minimum":0,"type":"integer","format":"int32"},"size":{"minimum":1,"type":"integer","format":"int32"},"sort":{"type":"array","items":{"type":"string"}}}},"PageSocial Network Post":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Social Network Post"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"},"paged":{"type":"boolean"},"unpaged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"}}},"Social Network Post":{"required":["createdAt","id","likes","link","post","reposts","type","userAlias","userFriends","userImageLink","userName","userProfileLink"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when social network post was created in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"type":{"type":"string","description":"Social network type","example":"TWITTER","enum":["TWITTER","REDDIT","YOUTUBE"]},"post":{"type":"string","description":"Content","example":"Der Dienstag ist noch nicht vorbei! Kommt zu uns an den Stand und wir zeigen euch die beste #Awareness Lösung im Markt! #phishing #itsa19 #CyberSecurity"},"link":{"type":"string","description":"Link","example":"https://twitter.com/lucysecurity/status/1181595706831884288"},"language":{"type":"string","description":"Content language code","example":"en"},"likes":{"type":"integer","description":"Number of likes","format":"int32","example":7},"reposts":{"type":"integer","description":"Number of reposts","format":"int32","example":29},"location":{"type":"string","description":"Geolocation tag of the post","example":"Zürich, Schweiz"},"userName":{"type":"string","description":"User's full name","example":"LUCY Awareness & Training\n"},"userAlias":{"type":"string","description":"User's screen name (alias)","example":"lucysecurity"},"userProfileLink":{"type":"string","description":"Link to user's profile","example":"https://twitter.com/lucysecurity"},"userImageLink":{"type":"string","description":"Link to user's profile image","example":"https://pbs.twimg.com/profile_images/1142378562097483776/CtyWEwFa_normal.jpg"},"userFriends":{"type":"integer","description":"Number of user's friends / followers","format":"int32","example":101},"userLanguage":{"type":"string","description":"User's preferred language code","example":"en"},"userLocation":{"type":"string","description":"User's profile location","example":"Zürich, Schweiz"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]},"negativityScore":{"type":"number","description":"Sentiment Negativity score","format":"float","example":4.3,"enum":[null]}}},"SortObject":{"type":"object","properties":{"empty":{"type":"boolean"},"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"}}},"PageReport Template Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Report Template Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"QR URL Result":{"required":["url"],"type":"object","properties":{"url":{"type":"string","description":"QR URL","example":"https://qr-url.com/path/to/qr"}}},"PageAlert Job Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Alert Job Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageAccount Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Account Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageRole Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Role Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Role Result":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Role name","example":"ROLE_COMPANY_ADMIN"}}},"PageReport Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Report Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Ransomware Search Result":{"required":["company","createdAt","cvssScore","description","id","publishedAt","source","threat","updatedAt","url"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Ransomware creation starting time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"updatedAt":{"type":"string","description":"Ransomware modification time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"publishedAt":{"type":"string","description":"Ransomware publication time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"url":{"type":"string","description":"Ransomware url","example":"https://ransomware.com"},"source":{"type":"string","description":"Ransomware source","example":"source"},"threat":{"type":"string","description":"Ransomware threat","example":"threat"},"company":{"type":"string","description":"Ransomware company","example":"company"},"description":{"type":"string","description":"Ransomware description","example":"description"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageRansomware Leak Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Ransomware Leak Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Ransomware Leak Result":{"required":["id"],"type":"object","properties":{"id":{"type":"string","description":"Leak ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"leakName":{"type":"string","description":"Leak name","example":"Cloudflare Leak"}}},"PageRansomware Search Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Ransomware Search Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Post Result":{"required":["authorName","createdAt","cvssScore","id","publishedAt","sourceId","sourceName","sourceType","text","threatActorId"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when post was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"publishedAt":{"type":"string","description":"Time when post was published on source in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"url":{"type":"string","description":"Post URL","example":"https://my.forum.com/do-androids-dream/112346"},"threadUrl":{"type":"string","description":"Thread URL","example":"https://my.forum.com/do-androids-dream"},"authorName":{"type":"string","description":"Author name","example":"intruder3000"},"authorProfileUrl":{"type":"string","description":"Author's profile URL","example":"https://my.forum.com/users/intruder3000"},"threatActorId":{"type":"string","description":"Threat Actor ID","example":"d409ae46-43ab-34d5-a452-9908c050128f"},"title":{"type":"string","description":"Thread or post title","example":"Leaked databases of ACME Corp for sale"},"text":{"type":"string","description":"Text content","example":"Dear forum members, I have all databases of ACME Corp for sale. Please PM me for details & price."},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]},"sourceId":{"type":"string","description":"Source Internal ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"sourceName":{"type":"string","description":"Source name","example":"site.com"},"sourceType":{"type":"string","description":"Source type","example":"FORUM","enum":["FORUM, MARKETPLACE, NEWS"]}}},"PageSource Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Source Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Source Result":{"required":["createdAt","id","name","type"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"name":{"type":"string","description":"Name","example":"site.com"},"type":{"type":"string","description":"Type","example":"FORUM","enum":["FORUM","MARKETPLACE","NEWS","FORUM","MARKETPLACE","NEWS"]},"url":{"type":"string","description":"Website URL","example":"https://www.site.com"},"createdAt":{"type":"string","description":"Time when source was added to Kaduu, in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"PagePost Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Post Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Paste Result":{"required":["createdAt","id","sourceId","sourceName","text"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when paste was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"publishedAt":{"type":"string","description":"Time when paste was published online in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"sourceId":{"type":"string","description":"ID of the source website, where the paste has been found"},"sourceName":{"type":"string","description":"Name of the source website, where the paste has been found"},"url":{"type":"string","description":"Paste URL","example":"https://paste.com/deadbeef"},"title":{"type":"string","description":"Paste title","example":"my_script.sh"},"text":{"type":"string","description":"Paste text","example":"#!/bin/bash\n\necho 'Like a bash'"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PagePaste Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Paste Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Mail Result":{"required":["createdAt","id","mail","source"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when mail was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"mail":{"type":"string","description":"Mail address","example":"bob@bob.com"},"source":{"type":"string","description":"Source URL, where the mail address has been found","example":"https://contoso.com/website-page.html"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageMail Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Mail Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Mail External Result Item":{"required":["createdAt","id","mail","name","phoneNumber","position","source"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"12452"},"createdAt":{"type":"string","description":"Time when mail was created by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"source":{"type":"string","description":"Source URL, where the mail address has been found","example":"https://google.com"},"mail":{"type":"string","description":"Mail address","example":"bob@bob.com"},"name":{"type":"string","description":"Owner's name","example":"Bob Johnson"},"position":{"type":"string","description":"Owner`s position in company","example":"CEO"},"phoneNumber":{"type":"string","description":"Owner`s phone number","example":"8800327245"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageMail External Result Item":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Mail External Result Item"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Leak Ransomware Result":{"required":["createdAt","id","publishedAt","updatedAt"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"publishedAt":{"type":"string","description":"Date when leak was published by Kaduu team, format: yyyy-MM-dd","format":"date-time"},"createdAt":{"type":"string","description":"Time when actor was created by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"updatedAt":{"type":"string","description":"Time when actor was updated by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"company":{"type":"string","description":"Company","example":"company"},"threat":{"type":"string","description":"Threat","example":"threat"},"description":{"type":"string","description":"Description","example":"description"},"source":{"type":"string","description":"Source name","example":"anna.com"},"url":{"type":"string","description":"Source name","example":"ransomware.com"}},"description":"Leak ransomware instance"},"Leak Result":{"required":["createdAt","description","discoverDate","id","leakRansomware","name","numberOfAccounts","numberOfFiles","numberOfRecords","publishDate","similarLeaks","similarity","size","tags","websites"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"name":{"type":"string","description":"Name","example":"Cloudflare Leak"},"description":{"type":"string","description":"Leak description","example":"New leak with 500,000 accounts."},"publishDate":{"type":"string","description":"Date when leak was available online, format: yyyy-MM-dd","format":"date-time"},"discoverDate":{"type":"string","description":"Date when leak was discovered by Kaduu team, format: yyyy-MM-dd","format":"date-time"},"size":{"type":"integer","description":"Leak size in bytes","format":"int64","example":102400},"similarity":{"type":"number","description":"Leak file similarity to other leaks in percents, based on file hashes","format":"double","example":50.04},"numberOfRecords":{"type":"integer","description":"Number of separate records","format":"int64","example":1000},"numberOfAccounts":{"type":"integer","description":"Number of detected accounts","format":"int64","example":1000},"numberOfFiles":{"type":"integer","description":"Number of fils in leak","format":"int64","example":23},"tags":{"uniqueItems":true,"type":"array","description":"List of tags","example":"['hash','sql']","items":{"type":"string","description":"List of tags","example":"['hash','sql']"}},"websites":{"type":"object","additionalProperties":{"type":"integer","description":"List of websites and number of accounts in them","format":"int64"},"description":"List of websites and number of accounts in them"},"similarLeaks":{"uniqueItems":true,"type":"array","description":"List of similar leaks","items":{"$ref":"#/components/schemas/Similar Leak Result"}},"leakRansomware":{"$ref":"#/components/schemas/Leak Ransomware Result"},"createdAt":{"type":"string","description":"Time when leak was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"PageLeak Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Leak Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Similar Leak Result":{"required":["id","name","similarity"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"name":{"type":"string","description":"Name","example":"Cloudflare Leak"},"similarity":{"type":"number","description":"Similarity percentage to current leak, based on file hashes","format":"double","example":50.04}},"description":"List of similar leaks"},"Leak File Result":{"required":["createdAt","id","name","size"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"name":{"type":"string","description":"File Name","example":"example.txt"},"size":{"type":"integer","description":"Leak file size in bytes","format":"int64","example":102400},"createdAt":{"type":"string","description":"Time when file was created in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"PageLeak File Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Leak File Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Leak Index Search Result":{"required":["content","createdAt","fileExtension","fileName","id","leakDiscoverDate","leakId","leakName","leakPublishDate","leakSize","leakTags"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when leak was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"content":{"type":"string","description":"Leak content","example":"john@doe.com:123456"},"fileName":{"type":"string","description":"Leak file name","example":"cloudflare.sql"},"fileExtension":{"type":"string","description":"Leak file extension","example":"sql"},"leakId":{"type":"string","description":"Internal leak ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"leakName":{"type":"string","description":"Leak name","example":"Cloudflare Leak"},"leakSource":{"type":"string","description":"Leak source","example":"cloudflare.com"},"leakSize":{"type":"integer","description":"Leak size in bytes","format":"int64","example":102400},"leakTags":{"type":"string","description":"Comma-separated list of leak tags","example":"hash,json"},"leakPublishDate":{"type":"string","description":"Date when leak was available online, format: yyyy-MM-dd","format":"date-time"},"leakDiscoverDate":{"type":"string","description":"Date when leak was discovered by Kaduu team, format: yyyy-MM-dd","format":"date-time"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageLeak Index Search Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Leak Index Search Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Leak Index Distinct Search Result":{"required":["createdAt","id","leakDiscoverDate","leakName","leakPublishDate","leakSize","leakTags","resultCount"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when leak was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"leakName":{"type":"string","description":"Leak name","example":"Cloudflare Leak"},"leakSource":{"type":"string","description":"Leak source","example":"cloudflare.com"},"leakSize":{"type":"integer","description":"Leak size in bytes","format":"int64","example":102400},"leakTags":{"type":"string","description":"Comma-separated list of leak tags","example":"hash,json"},"leakPublishDate":{"type":"string","description":"Date when leak was available online, format: yyyy-MM-dd","format":"date-time"},"leakDiscoverDate":{"type":"string","description":"Date when leak was discovered by Kaduu team, format: yyyy-MM-dd","format":"date-time"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]},"resultCount":{"type":"integer","description":"Result count","format":"int64","example":123}}},"PageLeak Index Distinct Search Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Leak Index Distinct Search Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageLeak File Download Task Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Leak File Download Task Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageFavorite Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Favorite Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"External Result":{"required":["createdAt","description","engine","id","url"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"engine":{"type":"string","description":"Engine that provided the result"},"url":{"type":"string","description":"URL of the result","example":"http://lebqilhq3tsow25r.onion/vg/post/215854565/"},"description":{"type":"string","description":"Resource description (search engine snippet)","example":"The Best Deep Web Hosting. Wordpress supported. Secure and anonymous."},"createdAt":{"type":"string","description":"Time when result was crawled by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageExternal Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/External Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageExport Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Export Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Domain Result":{"required":["createdAt","id","name","registrationDate","source"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when domain was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"registrationDate":{"type":"string","description":"Domain registration date in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"name":{"type":"string","description":"Domain name","example":"contoso.com"},"source":{"type":"string","description":"Domain source feed name","example":"whoisxmlapi.com"},"dns":{"uniqueItems":true,"type":"array","description":"List of DNS records available","items":{"type":"string","description":"List of DNS records available"}},"port":{"uniqueItems":true,"type":"array","description":"List of open ports in JSON format","items":{"type":"integer","description":"List of open ports in JSON format","format":"int32"}},"software":{"uniqueItems":true,"type":"array","description":"List of detected software in JSON format","items":{"type":"string","description":"List of detected software in JSON format"}},"ip":{"uniqueItems":true,"type":"array","description":"List of IP addresses discovered","items":{"type":"string","description":"List of IP addresses discovered"}},"whois":{"uniqueItems":true,"type":"array","description":"List of WHOIS records","items":{"type":"string","description":"List of WHOIS records"}},"hasHttp":{"type":"boolean","description":"Has HTTP/HTTPS port open"},"hasSmtp":{"type":"boolean","description":"Has SMTP port open"},"hasScreenshot":{"type":"boolean","description":"Has screenshot available in system"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"Domain Data Result":{"required":["createdAt","id","key","provider","value"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Data creation time in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"provider":{"type":"string","description":"Data provider","example":"DNS","enum":["DNS","DNS_TWIST","HTTP","PORT","SMTP","WHOIS","GEO","SCREENSHOT"]},"key":{"type":"string","description":"Data key","example":"DNS_A","enum":["DNS_A","DNS_AAAA","DNS_NS","DNS_MX","DNS_CNAME","DNS_SOA","DNS_TWIST_DOMAIN","HTTP_BANNER","HTTP_HASH","HTTP_CONTENT_TYPE","HTTP_CONTENT_LENGTH","HTTP_CODE","PORT_OPEN","SMTP_BANNER","WHOIS_REGISTRATION_DATE","WHOIS_EXPIRATION_DATE","WHOIS_UPDATE_DATE","WHOIS_ABUSE_CONTACT_EMAIL","WHOIS_ABUSE_CONTACT_PHONE","WHOIS_SERVER","WHOIS_NAME_SERVER","WHOIS_STATUS","WHOIS_REGISTRAR_NAME","WHOIS_REGISTRANT_NAME","WHOIS_REGISTRANT_EMAIL","WHOIS_REGISTRANT_ORGANIZATION","WHOIS_REGISTRANT_ADDRESS","WHOIS_REGISTRANT_STATE","WHOIS_REGISTRANT_POSTAL_CODE","WHOIS_REGISTRANT_CITY","WHOIS_REGISTRANT_COUNTRY","WHOIS_REGISTRANT_PHONE","WHOIS_REGISTRANT_FAX","WHOIS_EXPIRED","WHOIS_EXPIRES_SOON","SCREENSHOT_PAGE","SCREENSHOT_FULL","GEO_LOCATION"]},"value":{"type":"string","description":"Data value","example":"127.0.0.1"}}},"PageDomain Data Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Domain Data Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageDomain Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Domain Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Certificate Result":{"required":["createdAt","domain","id","notAfter","notBefore"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"a67ae2e3-d6e1-452f-87ef-cbb26b5733da"},"createdAt":{"type":"string","description":"Time when certificate was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"notBefore":{"type":"string","description":"Time when certificate is not valid before, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"notAfter":{"type":"string","description":"Time when certificate is not valid after, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"domain":{"type":"string","description":"Domain that certificate belongs to","example":"dev.kaduu.com"},"algorithm":{"type":"string","description":"Algorithm used to generate certificate","example":"sha256, rsa"},"fingerprint":{"type":"string","description":"Certificate fingerprint","example":"E9:A3:B4:5B:06:2D:50:9B:33:82:28:2D:19:6E:FE:97:D5:95:6C:CA"},"serialNumber":{"type":"string","description":"Certificate serial number assigned by issuer","example":"A0141420000015385736A0B85ECA708"},"issuer":{"type":"string","description":"Certificate Issuer","example":"/CN=access.web-site.com"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageCertificate Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Certificate Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Credit Card Result":{"required":["createdAt","leakDiscoverDate","leakId","leakName","leakPublishDate","leakSize","leakTags","number"],"type":"object","properties":{"id":{"type":"string"},"createdAt":{"type":"string","description":"Time when card was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"number":{"type":"string","description":"Masked credit card number","example":"112233XXXXXX7788"},"expireDate":{"type":"string","description":"Card`s expiration date","format":"date-time"},"cvv":{"type":"string","description":"Card verification value","example":"123"},"owner":{"type":"string","description":"Card`s owner","example":"Smith John"},"bank":{"type":"string","description":"Card`s bank holder","example":"Deutsche Bank"},"leakId":{"type":"string","description":"Internal leak ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"leakName":{"type":"string","description":"Leak name","example":"Cloudflare Leak"},"leakSize":{"type":"integer","description":"Leak size in bytes","format":"int64","example":102400},"leakTags":{"type":"string","description":"Comma-separated list of leak tags","example":"hash,json"},"leakPublishDate":{"type":"string","description":"Date when leak was available online, format: yyyy-MM-dd","format":"date-time"},"leakDiscoverDate":{"type":"string","description":"Date when leak was discovered by Kaduu team, format: yyyy-MM-dd","format":"date-time"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageCredit Card Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Credit Card Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Bot Result":{"required":["collectedAt","createdAt","ip","name","numberOfRecords"],"type":"object","properties":{"id":{"type":"string"},"createdAt":{"type":"string","description":"Time when bot was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"collectedAt":{"type":"string","description":"Time when data was collected by botnet software in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"name":{"type":"string","description":"Bot name","example":"azorult"},"version":{"type":"string","description":"Bot version","example":"6.6"},"path":{"type":"string","description":"Bot installation path","example":"C:\\Users\\Administrator\\AppData\\Local\\Temp\\uKxE.exe"},"ip":{"type":"string","description":"IP address","example":"185.1.2.3"},"asn":{"type":"integer","description":"ASN (Autonomous System Number)","format":"int32","example":7303},"asnText":{"type":"string","description":"ASN Owner","example":"Telecom Argentina S.A."},"country":{"type":"string","description":"2-letter country code","example":"CH"},"os":{"type":"string","description":"Operating system name","example":"6.1 x32 Windows 7 Professional"},"timeZone":{"type":"string","description":"Time zone name","example":"UTC+1"},"computerName":{"type":"string","description":"Computer name","example":"JOHN-PC"},"userName":{"type":"string","description":"User name, under which the bot is running","example":"Administrator"},"latitude":{"type":"number","description":"Computer location latitude","format":"double","example":47.28267206606067},"longitude":{"type":"number","description":"Computer location longitude","format":"double","example":8.578291700023007},"numberOfRecords":{"type":"integer","description":"Number of records collected for this bot","format":"int64","example":93},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageBot Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Bot Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Bot Record Result":{"required":["botId","botName","collectedAt","createdAt","ip","type"],"type":"object","properties":{"id":{"type":"string"},"createdAt":{"type":"string","description":"Time when record was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"collectedAt":{"type":"string","description":"Time when data was collected by botnet software in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"botId":{"type":"string","description":"Internal bot ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"botName":{"type":"string","description":"Bot name","example":"azorult"},"botVersion":{"type":"string","description":"Bot version","example":"6.6"},"botPath":{"type":"string","description":"Bot installation path","example":"C:\\Users\\Administrator\\AppData\\Local\\Temp\\uKxE.exe"},"ip":{"type":"string","description":"IP address","example":"185.1.2.3"},"asn":{"type":"integer","description":"ASN (Autonomous System Number)","format":"int32","example":7303},"asnText":{"type":"string","description":"ASN Owner","example":"Telecom Argentina S.A."},"country":{"type":"string","description":"2-letter country code","example":"CH"},"os":{"type":"string","description":"Operating system name","example":"6.1 x32 Windows 7 Professional"},"timeZone":{"type":"string","description":"Time zone name","example":"UTC+1"},"computerName":{"type":"string","description":"Computer name","example":"JOHN-PC"},"userName":{"type":"string","description":"User name, under which the bot is running","example":"Administrator"},"latitude":{"type":"number","description":"Computer location latitude","format":"double","example":47.28267206606067},"longitude":{"type":"number","description":"Computer location longitude","format":"double","example":8.578291700023007},"type":{"type":"string","description":"Record type","example":"PASSWORD","enum":["AUTOCOMPLETE","COOKIE","HISTORY","PASSWORD","DOWNLOAD"]},"url":{"type":"string","description":"URL","example":"https://microsoft.com"},"name":{"type":"string","description":"Name","example":"john"},"value":{"type":"string","description":"Value","example":"passwd123"},"time":{"type":"string","description":"Record-related time in UTC zone, format: yyyy-MM-dd HH:mm:ss. Typically used in cookie records, where it means cookie expire date.","format":"date-time"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageBot Record Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Bot Record Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageAsset Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Asset Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageAsset Group Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Asset Group Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Aggregated Service Data":{"type":"object","properties":{"name":{"type":"string","description":"Service name"},"meanNumber":{"type":"number","description":"Mean number of results","format":"double"},"medianNumber":{"type":"number","description":"Median number of results","format":"double"},"meanScore":{"type":"number","description":"Mean score","format":"double"},"medianScore":{"type":"number","description":"Median score","format":"double"}},"description":"Aggregated services data"},"Industry Benchmark Result":{"type":"object","properties":{"id":{"type":"string","description":"ID"},"name":{"type":"string","description":"Name"},"meanScore":{"type":"number","description":"Mean score across all companies in industry","format":"double"},"medianScore":{"type":"number","description":"Median score across all companies in industry","format":"double"},"services":{"type":"array","description":"Aggregated services data","items":{"$ref":"#/components/schemas/Aggregated Service Data"}},"createdAt":{"type":"string","description":"Creation time","format":"date-time"},"updatedAt":{"type":"string","description":"Update time","format":"date-time"}}},"PageIndustry Benchmark Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Industry Benchmark Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Country Benchmark Result":{"type":"object","properties":{"id":{"type":"string","description":"ID"},"name":{"type":"string","description":"Name"},"meanScore":{"type":"number","description":"Mean score across all companies in country","format":"double"},"medianScore":{"type":"number","description":"Median score across all companies in country","format":"double"},"services":{"type":"array","description":"Aggregated services data","items":{"$ref":"#/components/schemas/Aggregated Service Data"}},"createdAt":{"type":"string","description":"Creation time","format":"date-time"},"updatedAt":{"type":"string","description":"Update time","format":"date-time"}}},"PageCountry Benchmark Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Country Benchmark Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Company Benchmark Result":{"type":"object","properties":{"id":{"type":"string","description":"Company ID"},"type":{"type":"string","description":"Type of the company","enum":["REFERENCE","CLIENT"]},"name":{"type":"string","description":"Company name"},"score":{"type":"number","description":"Company score","format":"double"},"services":{"type":"array","description":"Services data","items":{"$ref":"#/components/schemas/Service Benchmark Result"}},"industry":{"$ref":"#/components/schemas/Industry Benchmark Result"},"country":{"$ref":"#/components/schemas/Country Benchmark Result"},"createdAt":{"type":"string","description":"Creation time","format":"date-time"},"updatedAt":{"type":"string","description":"Update time","format":"date-time"}}},"Service Benchmark Result":{"type":"object","properties":{"name":{"type":"string","description":"Name"},"number":{"type":"integer","description":"Number of results","format":"int64"},"score":{"type":"number","description":"Service score","format":"double"}},"description":"Services data"},"Alert Event Result":{"required":["accountId","body","createdAt","id","jobId","status","type"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"accountId":{"type":"string","description":"Account ID","example":"20a64f5a-13ed-4982-a383-90964e93535e"},"jobId":{"type":"string","description":"Alert Job ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"assetId":{"type":"string","description":"Asset ID","example":"7fa7d726-b37e-4928-bfa3-0b8e39fffc0d"},"assetGroupId":{"type":"string","description":"Asset Group ID","example":"7fa7d726-b37e-4928-bfa3-0b8e39fffc0d"},"body":{"type":"string","description":"Alert JSON Body","example":"contoso"},"status":{"type":"string","description":"Alert status","enum":["NEW, SENT, ERROR"]},"errorMessage":{"type":"string","description":"Alert error message"},"type":{"type":"string","description":"Type of alert event","example":"DOMAIN","enum":["LEAK","LEAK_DISTINCT","BOT","BOT_RECORD","CERTIFICATE","CREDIT_CARD","DOMAIN","DOMAIN_IP","DOMAIN_TRACKER","DOMAIN_ACTIVE","MAIL","MAIL_EXTERNAL","POST","SOCIAL","PASTE","EXTERNAL","ACCOUNT","RANSOMWARE"]},"keyword":{"type":"string","description":"Alert search keyword","example":"error"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]},"createdAt":{"type":"string","description":"Time when alert job was created in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"PageAlert Event Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Alert Event Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageThreat Actor Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Threat Actor Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Threat Actor Result":{"required":["createdAt","id","name","source","type"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"name":{"type":"string","description":"Name","example":"anna"},"description":{"type":"string","description":"Description","example":"regular user"},"source":{"type":"string","description":"Source name","example":"anna.com"},"mail":{"type":"string","description":"Mail address","example":"anna@anna.com"},"type":{"type":"string","description":"Type","example":"PERSON","enum":["PERSON","TEAM","PERSON","TEAM"]},"profileUrl":{"type":"string","description":"Profile URL","example":"http://profile.site.com/anna"},"login":{"type":"string","description":"Login for the source website","example":"anna"},"password":{"type":"string","description":"Password for the source website","example":"5e18e934bae99073b63593b19bb12779"},"createdAt":{"type":"string","description":"Time when actor was created by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"}}},"Actor Leak Result":{"required":["leakId"],"type":"object","properties":{"leakId":{"type":"string","description":"Leak ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"leakName":{"type":"string","description":"Leak name","example":"Cloudflare Leak"}}},"PageActor Leak Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Actor Leak Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Actor Association Result":{"required":["child","type"],"type":"object","properties":{"type":{"type":"string","description":"Association type","example":"SAME","enum":["SAME","TEAM","OTHER","SAME","TEAM","OTHER"]},"child":{"$ref":"#/components/schemas/Threat Actor Result"}}},"PageActor Association Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Actor Association Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"Leaked Account Result":{"required":["createdAt","id","leakDiscoverDate","leakId","leakName","leakPublishDate","leakSize","leakTags","login","password"],"type":"object","properties":{"id":{"type":"string","description":"ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"createdAt":{"type":"string","description":"Time when leak was indexed by Kaduu in UTC zone, format: yyyy-MM-dd HH:mm:ss","format":"date-time"},"login":{"type":"string","description":"Leaked account login","example":"john@doe.com"},"password":{"type":"string","description":"Leaked plain-text password or hash","example":"123456"},"leakId":{"type":"string","description":"Internal leak ID","example":"e67dd2e3-d6e1-452f-87ef-edb26b5733aa"},"leakName":{"type":"string","description":"Leak name","example":"Cloudflare Leak"},"leakSize":{"type":"integer","description":"Leak size in bytes","format":"int64","example":102400},"leakTags":{"type":"string","description":"Comma-separated list of leak tags","example":"hash,json"},"leakPublishDate":{"type":"string","description":"Date when leak was available online, format: yyyy-MM-dd","format":"date-time"},"leakDiscoverDate":{"type":"string","description":"Date when leak was discovered by Kaduu team, format: yyyy-MM-dd","format":"date-time"},"website":{"type":"string","description":"Website domain name","example":"website.com"},"cvssScore":{"type":"number","description":"CVSS score","format":"float","example":7.0,"enum":[null]}}},"PageLeaked Account Result":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Leaked Account Result"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}}},"securitySchemes":{"Bearer":{"type":"oauth2","description":"Bearer {access_token}","name":"Authorization","in":"header","scheme":"Bearer","bearerFormat":"JWT","flows":{"password":{"authorizationUrl":"https://app.leak.center/uaa/oauth/token","tokenUrl":"https://app.leak.center/uaa/oauth/token","scopes":{}}}}}}};
